dasher(1)

NAME
dasher - graphical predictive text entry system

SYNOPSIS
dasher [OPTIONS] [filename]

DESCRIPTION
Dasher is an information-efficient text-entry interface, driven by natural continuous pointing gestures. Dasher is a competitive text-entry system wherever a full-size keyboard cannot be used.

OPTIONS
dasher takes the following options:

-a, --appstyle=STYLE
    Application style. STYLE can be any of traditional, direct, compose, or fullscreen. The default is whatever was specified on the previous invocation of Dasher, or traditional when Dasher is started for the first time.

-?, --help
    Describe command line options.

--help-options
    Describe the options available with --options.

-o, --options [option=value[,option=value...]]
    Override stored options. Options values are remembered for subsequent invocations of Dasher.

USAGE
The main Dasher interface is a window with a blank background containing a column of letters on the right hand side. Click the mouse button to start. When the pointer is to the right of the crosshair the screen will zoom towards the point underneath the mouse pointer. To select a letter, move the mouse pointer into it and watch how it zooms underneath the crosshair. A new column of letters will appear. Staying within the box for the selected letter, move the pointer over one of these letters to select it as the next letter. Moving the mouse pointer to the left of the crosshair, or outside of the box for previously selected letters, allows you to change previously selected letters.

Application Styles

traditional
    Dasher displays an edit box above the main window. Text entered via Dasher will appear in the edit box allowing the text to be edited directly.

direct
    The edit box is not displayed. Dasher runs without focus and the text goes into whatever window does have focus. This way you can use it more practically to run your desktop.

fullscreen
    dasher expands to the entire screen.

MENUS

  File

New Clear the edit box and associate a random filename with it.

Open
    Read a text file into the edit box for further editing.

Save
    Save the contents of the edit box to its associated file.

Save as
    Save the contents of the edit box to a selected file.

Append to file
    Add the contents of the edit box to the end of a selected file.

Import training text
    Use a file to further improve Dasher's prediction of the next letters to present (for instance, a training file containing scientific terms to add to the initial English training). Training files must be UTF-8 encoded.

Quit
    Exit Dasher.

  Edit

Cut Remove the highlighted text from the edit box and copy it to the clipboard.

Copy
    Copy the highlighted text from the edit box to the clipboard but don't remove it.

Paste
    Paste the contents of the clipboard into the edit box at the position of the cursor.

Copy all
    Copy the entire contents of the edit box to the clipboard.

Select all
    Highlight all of the text in the edit box.

  Options

Preferences
    Opens the preferences dialog.

  Help

About Dasher
    Display information about the current version of Dasher

THE PREFERENCES DIALOG
The preferences dialog is split into several panes.

  Alphabet
Choose a different alphabet. Dasher will automatically retrain itself if the alphabet specified training file is present.

  Colour
Choose a different colour scheme.

  Control
Alter various control options

One dimensional mode
    Map the Y position of the mouse to a 2 dimensional position on the Dasher canvas (useful for limited mobility users)

Eyetracker mode
    Similar to one dimensional mode, but behaves normally except at the right-hand side of the canvas. Designed for eyetracker users.

CONVERTING TRAINING FILES TO UTF-8
Dasher requires that training files be in the UTF-8 format, whereas most text files are likely to be in ISO-8859 format. This doesn't matter for plain text, but accented characters are encoded differently. In order to convert them, use the iconv(1) program. For instance, if your training file is in ISO-8859-1 format (Western European), run iconv -f ISO-8859-1 -t UTF-8 trainingfile >newtrainingfile

FILES

/usr/share/doc/dasher
    Directory containing system-wide configuration files.

~/.dasher
    Directory containing user specific configuration files.

Dasher will utilise files of the following form from both of these directories:

alphabet.ALPHABET.xml
    The files defining the alphabets available to Dasher.

colour.SCHEME.xml
    The files defining the colour schemes available to Dasher.

training_LANGUAGE*.txt
    Files containing the training data used by Dasher. These are UTF-8 encoded text and should contain a representative sample of the relevant language. User specific training files can be used to augment system wide data.

Refer to the Dasher manual for more information regarding the format and editing of these files.

AUTHOR
The Dasher Project <dasher@mrao.phy.cam.ac.uk>.

SEE ALSO
The Dasher project web page is